<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreFreeConsultationRequest;
use App\Models\FreeConsultationSchedule;
use Illuminate\Http\Request;

class FreeConsultationScheduleController extends Controller
{
    public function store(StoreFreeConsultationRequest $request)
    {
        $validatedData = $request->validated();
        FreeConsultationSchedule::create($validatedData);
        return response()->json([
            'message' => 'Data saved successfully.',
            'data' => $validatedData
        ], 201);
    }
}
